function Y=starty(type,q,Z)

%starty: Bayesian Variable Selection
%       Set starting value for latent variable Y.
%
%Copyright (c) 2003 Naijun Sha.
%**********************************************************************
                                                  
n=size(Z,1);
Y=zeros(n,q);
if type==0
	switch q
     	case 1
        	Y(find(Z==0))=-1;Y(find(Z==1))=1;
     		otherwise
     		Y(find(Z==0),:)=-1;
        	for i=1:q
            		Y(find(Z==i),i)=1;
     		end
	end
else
Y(find(Z==0))=-1;Y(find(Z~=0))=1;
end;


